Subject: Definition of SFTP ...

From: Noël, Richard <[email-masked]>
Date: Wed, 7 Dec 2005 09:57:04 -0500

There seems to be a conflict in the definition of SFTP; the IANA site indicates that it's Simple FTP while the IETF side indicates it's Secure FTP in conjunction with SSH ...

http://www.iana.org/assignments/port-numbers

http://www.ietf.org/internet-drafts/draft-ietf-secsh-scp-sftp-ssh-uri-03.txt

My understanding is that FTPS refers to Secure FTP.

Could you help me to sort this out pls ...

Thanks,

Richard Noël
Manager ~ Internet Technologies Group (ITG)
Getronics Information and Communications Technology Organization

Getronics North America
 836 North Street
 Tewksbury, MA  01876 (US)
 Tel: +1.978.858.7541
 Mobile: +1.603.365.0659
 Fax: +1.978.858.6025
 http://www.getronics.com

The information transmitted is intended only for use by the addressee and may contain confidential and/or privileged material. Any review, re-transmission, dissemination or other use of it, or the taking of any action in reliance upon this information by persons and/or entities other than the intended recipient is prohibited. If you received this in error, please inform the sender and/or addressee immediately and delete the material.  Thank you.

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf

---

From: Harald Tveit Alvestrand <[email-masked]>
Date: Thu, 08 Dec 2005 14:56:14 +0100

--On onsdag, desember 07, 2005 09:57:04 -0500 "Noël, Richard" 
<[email-masked]> wrote:

> There seems to be a conflict in the definition of SFTP; the IANA site
> indicates that it's Simple FTP while the IETF side indicates it's Secure
> FTP in conjunction with SSH ...
>

I believe that "sftp" in port-numbers refers to port 115, with usage 
described in RFC 913, which is declared Historic, and is most likely unused 
in Real Life.

sftp as defined in draft-ietf-secsh-scp-sftp-ssh-uri-03.txt defines an URI 
scheme, and doesn't need a separate port number. It's not yet approved (nor 
is draft-ietf-secsh-filexfer, which documents the protocol).

So they're assignments in different name spaces - I agree it's confusing, 
but it's not really a conflict.
There exist other "secure FTP" protocols, such as RFC 2228. But this week, 
"sftp" is likely to be the SSH version.

At least that's my understanding.

                       Harald

---

From: Frank Ellermann <[email-masked]>
Date: Thu, 08 Dec 2005 17:32:53 +0100

Harald Tveit Alvestrand wrote:

> "sftp" in port-numbers refers to port 115, with usage
> described in RFC 913, which is declared Historic, and is most
> likely unused in Real Life.

And it's definitely no IANA registered URI-scheme like "tftp":
<http://www.iana.org/assignments/uri-schemes>
It's also not mentioned in an old and unofficial collection:
<http://www.w3.org/Addressing/schemes.html>
The latter is interesting for unregistered schemes like snews.

> sftp as defined in draft-ietf-secsh-scp-sftp-ssh-uri-03.txt
> defines an URI scheme, and doesn't need a separate port
> number.

IMHO it should say which default port it's talking about for
the <port> part of <authority> in its chapter 2.2.  If I got
this right the scheme "sftp" is also unrelated to the service
"ftps" (989 and 990).

> I agree it's confusing, but it's not really a conflict.
> There exist other "secure FTP" protocols, such as RFC 2228.

The sftp-draft could mention those "near misses".  Bye, Frank

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 08 Dec 2005 18:25:13 +0100

Harald Tveit Alvestrand wrote:
> described in RFC 913, which is declared Historic, and is most likely 
> unused in Real Life.
> 
> sftp as defined in draft-ietf-secsh-scp-sftp-ssh-uri-03.txt defines an 
> URI scheme, and doesn't need a separate port number. It's not yet 
> approved (nor is draft-ietf-secsh-filexfer, which documents the protocol).
> 
> So they're assignments in different name spaces - I agree it's 
> confusing, but it's not really a conflict.
> There exist other "secure FTP" protocols, such as RFC 2228. But this 
> week, "sftp" is likely to be the SSH version.
> 

Don't forget RFC 4217 "Securing FTP with TLS" which has also sometimes
been called Secure FTP or even SFTP. That is quite widely used.

A good acronym to not use, I think.

     Brian

---

From: Joseph Salowey <[email-masked]>
Date: Sun, 11 Dec 2005 21:03:29 -0800

> A good acronym to not use, I think.
I don't see there being much confusion with Simple FTP.  Is the
TLS-FTP protocol in RFC 4217 likely to have its own URI since it is
just an extension to FTP?